osg::ArrayVisitor Class Reference

`#include <Array>`

Inheritance diagram for osg::ArrayVisitor:

## Public Member Functions

| ArrayVisitor ()
virtual | ~ArrayVisitor ()
virtual void | apply (Array &)
virtual void | apply (ByteArray &)
virtual void | apply (ShortArray &)
virtual void | apply (IntArray &)
virtual void | apply (UByteArray &)
virtual void | apply (UShortArray &)
virtual void | apply (UIntArray &)
virtual void | apply (FloatArray &)
virtual void | apply (DoubleArray &)
virtual void | apply (Vec2bArray &)
virtual void | apply (Vec3bArray &)
virtual void | apply (Vec4bArray &)
virtual void | apply (Vec2sArray &)
virtual void | apply (Vec3sArray &)
virtual void | apply (Vec4sArray &)
virtual void | apply (Vec2iArray &)
virtual void | apply (Vec3iArray &)
virtual void | apply (Vec4iArray &)
virtual void | apply (Vec2ubArray &)
virtual void | apply (Vec3ubArray &)
virtual void | apply (Vec4ubArray &)
virtual void | apply (Vec2usArray &)
virtual void | apply (Vec3usArray &)
virtual void | apply (Vec4usArray &)
virtual void | apply (Vec2uiArray &)
virtual void | apply (Vec3uiArray &)
virtual void | apply (Vec4uiArray &)
virtual void | apply (Vec2Array &)
virtual void | apply (Vec3Array &)
virtual void | apply (Vec4Array &)
virtual void | apply (Vec2dArray &)
virtual void | apply (Vec3dArray &)
virtual void | apply (Vec4dArray &)
virtual void | apply (MatrixfArray &)
virtual void | apply (MatrixdArray &)
virtual void | apply (UInt64Array &)
virtual void | apply (Int64Array &)

## Constructor & Destructor Documentation

## ArrayVisitor()

osg::ArrayVisitor::ArrayVisitor | ( |  | ) |

inline

## ~ArrayVisitor()

virtual osg::ArrayVisitor::~ArrayVisitor | ( |  | ) |

inline virtual

## Member Function Documentation

## apply() [1/37]

virtual void osg::ArrayVisitor::apply | ( | Array & |  | ) |

inline virtual

Reimplemented in osgUtil::OperationArrayFunctor< T >, osgUtil::OperationArrayFunctor< AddRangeOperator >, and osgUtil::OperationArrayFunctor< MultiplyRangeOperator >.

Referenced by osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::accept(), and osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::accept().

## apply() [2/37]

virtual void osg::ArrayVisitor::apply | ( | ByteArray & |  | ) |

inline virtual

Reimplemented in osg::AttributeFunctorArrayVisitor.

## apply() [3/37]

virtual void osg::ArrayVisitor::apply | ( | DoubleArray & |  | ) |

inline virtual

Reimplemented in osg::AttributeFunctorArrayVisitor.

## apply() [4/37]

virtual void osg::ArrayVisitor::apply | ( | FloatArray & |  | ) |

inline virtual

Reimplemented in osg::AttributeFunctorArrayVisitor.

## apply() [5/37]

virtual void osg::ArrayVisitor::apply | ( | Int64Array & |  | ) |

inline virtual

## apply() [6/37]

virtual void osg::ArrayVisitor::apply | ( | IntArray & |  | ) |

inline virtual

Reimplemented in osg::AttributeFunctorArrayVisitor.

## apply() [7/37]

virtual void osg::ArrayVisitor::apply | ( | MatrixdArray & |  | ) |

inline virtual

## apply() [8/37]

virtual void osg::ArrayVisitor::apply | ( | MatrixfArray & |  | ) |

inline virtual

## apply() [9/37]

virtual void osg::ArrayVisitor::apply | ( | ShortArray & |  | ) |

inline virtual

Reimplemented in osg::AttributeFunctorArrayVisitor.

## apply() [10/37]

virtual void osg::ArrayVisitor::apply | ( | UByteArray & |  | ) |

inline virtual

Reimplemented in osg::AttributeFunctorArrayVisitor.

## apply() [11/37]

virtual void osg::ArrayVisitor::apply | ( | UInt64Array & |  | ) |

inline virtual

## apply() [12/37]

virtual void osg::ArrayVisitor::apply | ( | UIntArray & |  | ) |

inline virtual

Reimplemented in osg::AttributeFunctorArrayVisitor.

## apply() [13/37]

virtual void osg::ArrayVisitor::apply | ( | UShortArray & |  | ) |

inline virtual

Reimplemented in osg::AttributeFunctorArrayVisitor.

## apply() [14/37]

virtual void osg::ArrayVisitor::apply | ( | Vec2Array & |  | ) |

inline virtual

Reimplemented in osg::AttributeFunctorArrayVisitor, osgUtil::OperationArrayFunctor< T >, osgUtil::OperationArrayFunctor< AddRangeOperator >, and osgUtil::OperationArrayFunctor< MultiplyRangeOperator >.

## apply() [15/37]

virtual void osg::ArrayVisitor::apply | ( | Vec2bArray & |  | ) |

inline virtual

Reimplemented in osgUtil::OperationArrayFunctor< T >, osgUtil::OperationArrayFunctor< AddRangeOperator >, and osgUtil::OperationArrayFunctor< MultiplyRangeOperator >.

## apply() [16/37]

virtual void osg::ArrayVisitor::apply | ( | Vec2dArray & |  | ) |

inline virtual

Reimplemented in osg::AttributeFunctorArrayVisitor, osgUtil::OperationArrayFunctor< T >, osgUtil::OperationArrayFunctor< AddRangeOperator >, and osgUtil::OperationArrayFunctor< MultiplyRangeOperator >.

## apply() [17/37]

virtual void osg::ArrayVisitor::apply | ( | Vec2iArray & |  | ) |

inline virtual

## apply() [18/37]

virtual void osg::ArrayVisitor::apply | ( | Vec2sArray & |  | ) |

inline virtual

Reimplemented in osgUtil::OperationArrayFunctor< T >, osgUtil::OperationArrayFunctor< AddRangeOperator >, and osgUtil::OperationArrayFunctor< MultiplyRangeOperator >.

## apply() [19/37]

virtual void osg::ArrayVisitor::apply | ( | Vec2ubArray & |  | ) |

inline virtual

## apply() [20/37]

virtual void osg::ArrayVisitor::apply | ( | Vec2uiArray & |  | ) |

inline virtual

## apply() [21/37]

virtual void osg::ArrayVisitor::apply | ( | Vec2usArray & |  | ) |

inline virtual

## apply() [22/37]

virtual void osg::ArrayVisitor::apply | ( | Vec3Array & |  | ) |

inline virtual

Reimplemented in osg::AttributeFunctorArrayVisitor, osgUtil::OperationArrayFunctor< T >, osgUtil::OperationArrayFunctor< AddRangeOperator >, and osgUtil::OperationArrayFunctor< MultiplyRangeOperator >.

## apply() [23/37]

virtual void osg::ArrayVisitor::apply | ( | Vec3bArray & |  | ) |

inline virtual

Reimplemented in osgUtil::OperationArrayFunctor< T >, osgUtil::OperationArrayFunctor< AddRangeOperator >, and osgUtil::OperationArrayFunctor< MultiplyRangeOperator >.

## apply() [24/37]

virtual void osg::ArrayVisitor::apply | ( | Vec3dArray & |  | ) |

inline virtual

Reimplemented in osg::AttributeFunctorArrayVisitor, osgUtil::OperationArrayFunctor< T >, osgUtil::OperationArrayFunctor< AddRangeOperator >, and osgUtil::OperationArrayFunctor< MultiplyRangeOperator >.

## apply() [25/37]

virtual void osg::ArrayVisitor::apply | ( | Vec3iArray & |  | ) |

inline virtual

## apply() [26/37]

virtual void osg::ArrayVisitor::apply | ( | Vec3sArray & |  | ) |

inline virtual

Reimplemented in osgUtil::OperationArrayFunctor< T >, osgUtil::OperationArrayFunctor< AddRangeOperator >, and osgUtil::OperationArrayFunctor< MultiplyRangeOperator >.

## apply() [27/37]

virtual void osg::ArrayVisitor::apply | ( | Vec3ubArray & |  | ) |

inline virtual

## apply() [28/37]

virtual void osg::ArrayVisitor::apply | ( | Vec3uiArray & |  | ) |

inline virtual

## apply() [29/37]

virtual void osg::ArrayVisitor::apply | ( | Vec3usArray & |  | ) |

inline virtual

## apply() [30/37]

virtual void osg::ArrayVisitor::apply | ( | Vec4Array & |  | ) |

inline virtual

Reimplemented in osg::AttributeFunctorArrayVisitor, osgUtil::OperationArrayFunctor< T >, osgUtil::OperationArrayFunctor< AddRangeOperator >, and osgUtil::OperationArrayFunctor< MultiplyRangeOperator >.

## apply() [31/37]

virtual void osg::ArrayVisitor::apply | ( | Vec4bArray & |  | ) |

inline virtual

Reimplemented in osgUtil::OperationArrayFunctor< T >, osgUtil::OperationArrayFunctor< AddRangeOperator >, and osgUtil::OperationArrayFunctor< MultiplyRangeOperator >.

## apply() [32/37]

virtual void osg::ArrayVisitor::apply | ( | Vec4dArray & |  | ) |

inline virtual

Reimplemented in osg::AttributeFunctorArrayVisitor, osgUtil::OperationArrayFunctor< T >, osgUtil::OperationArrayFunctor< AddRangeOperator >, and osgUtil::OperationArrayFunctor< MultiplyRangeOperator >.

## apply() [33/37]

virtual void osg::ArrayVisitor::apply | ( | Vec4iArray & |  | ) |

inline virtual

## apply() [34/37]

virtual void osg::ArrayVisitor::apply | ( | Vec4sArray & |  | ) |

inline virtual

Reimplemented in osgUtil::OperationArrayFunctor< T >, osgUtil::OperationArrayFunctor< AddRangeOperator >, and osgUtil::OperationArrayFunctor< MultiplyRangeOperator >.

## apply() [35/37]

virtual void osg::ArrayVisitor::apply | ( | Vec4ubArray & |  | ) |

inline virtual

Reimplemented in osg::AttributeFunctorArrayVisitor, osgUtil::OperationArrayFunctor< T >, osgUtil::OperationArrayFunctor< AddRangeOperator >, and osgUtil::OperationArrayFunctor< MultiplyRangeOperator >.

## apply() [36/37]

virtual void osg::ArrayVisitor::apply | ( | Vec4uiArray & |  | ) |

inline virtual

## apply() [37/37]

virtual void osg::ArrayVisitor::apply | ( | Vec4usArray & |  | ) |

inline virtual

The documentation for this class was generated from the following file:

- Array